*, *::after, *::before {
    box-sizing: border-box;
}

:root {
    font: 1.2em/1.4 Arial, Helvetica, sans-serif;
    --blue: oklch(0.6719 0.1413 234.64);
    --text: oklch(0.99 0.003 325);;
    --red: oklch(0.45 0.32 40);
}

body {
    padding: 0 0 1em;
}

.container {
    max-width: 80rem;
    margin-inline: auto;
    padding-inline: 1rem;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
}

header {
    background-color: #333;
    color: #fff;
    border: 5px solid #000;
}

header ul {
    list-style: none;
    margin: 0;
    padding: 0;

}

header a {
    color: #fff;
    text-decoration: none;
    display: block;
    padding: 0.5em 1em;
    border-top: 1px solid #999;
}

header .title {
    font-size: 150%;
    font-style: italic;
    font-weight: bold;
    padding: 1em;
}

main {
    padding: 0 1em;
}

.cards {
    list-style: none;
    margin: 0;
    padding: 0;
}


.cards li {
    border: 5px solid #000;
    margin-bottom: 1em;
}

.cards h2 {
    background-color: #333;
    color: #fff;
    margin: 0;
    padding: 0.5em 1em;
}

.cards .inner {
    padding: 0.5em 1em;
}

.sidebar {
    background-color: #333;
    border: 5px solid #000;
    padding: 0.5em 1em;
    color: #fff;
}

@media (min-width: 40em) {
    .cards {
        color: oklch(0.4584 0.1836 27.57);
    }

    header {
        display: flex;
        justify-content: space-between;
        align-items: center;

        ul {
            display: flex;
            flex-direction: row;
            justify-content: flex-end;
        }

        a {
            border-block-start: 0;
        }
        .cards {
            list-style: none;
            margin: 0;
            padding: 0;
        }


        .cards li {
            border: 5px solid #000;
            margin-bottom: 1em;
        }

        .cards h2 {
            background-color: #333;
            color: #fff;
            margin: 0;
            padding: 0.5em 1em;
        }

        .cards .inner {
            padding: 0.5em 1em;
        }
    }
}

.cards {
    display: flex;
    gap: 2rem;
    margin: 0;
    padding: 0;
    list-style: none;
    flex-wrap: wrap;
    flex-direction: row;


    li {
        display: flex;
        flex-direction: column;
        position: relative;
        margin: 0;
        padding: 0;
        text-align: left;
        box-shadow: 0 0 .2rem oklch(0 0 0 / .2), 0 0 2rem oklch(0 0 0 / .1);
        flex-basis: 18rem;
        max-width: 18rem;
        border-radius: 10px;


        .content {
            display: flex;
            flex-direction: inherit;
            justify-content: inherit;
            align-items: flex-start;
            padding-inline: 1rem;
            padding-block-end: 1rem;


            a:not(.overlay-link) {
                z-index: 1;
            }


            .overlay-link {
                position: absolute;
                inset: 0;

                text-indent: 100%;
                white-space: nowrap;
                overflow: hidden;
            }
        }

        > img,
        > picture {
            order: -1;
            border-top-left-radius: 10px;
            border-top-right-radius: 10px;

        }
    }

}


.cards li {
    position: relative;
    overflow: hidden;

    .overlayeffect {
        position: absolute;
        top: 115%;
        left: 50%;
        transform: translateX(-50%);
        width: 0;
        height: 0;
        background-color: oklch(0.6719 0.1413 234.64 / 50%);
        border-radius: 50%;
        transition: width 0.6s ease-in-out, height 0.6s ease-in-out;
        pointer-events: none;
        z-index: 2;
    }

    &:hover .overlayeffect {
        width: 1000%;
        height: 1000%;
        transform: translateX(-50%) translateY(-100%);

    }
}
